# IRdTriangleLocatorStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumTriangleLocators ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumTriangleLocators ([in] RtDWORD dwNumTriangleLocators)
## Properties
RtFloat * | u1 ([in] RtDWORD dwIndex)`[get]`
RtFloat | u1 ([in] RtDWORD dwIndex)`[set]`
RtFloat * | u2 ([in] RtDWORD dwIndex)`[get]`
RtFloat | u2 ([in] RtDWORD dwIndex)`[set]`
RtFloat * | u3 ([in] RtDWORD dwIndex)`[get]`
RtFloat | u3 ([in] RtDWORD dwIndex)`[set]`
RtFloat * | v1 ([in] RtDWORD dwIndex)`[get]`
RtFloat | v1 ([in] RtDWORD dwIndex)`[set]`
RtFloat * | v2 ([in] RtDWORD dwIndex)`[get]`
RtFloat | v2 ([in] RtDWORD dwIndex)`[set]`
RtFloat * | v3 ([in] RtDWORD dwIndex)`[get]`
RtFloat | v3 ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdTriangleLocatorStream specifies stream:

- Used to locate point on source mesh from point on modified target mesh.
- Stream consists of RtTriangleLocator items.

The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_TRIANGLE_LOCATOR id.

## Member Function Documentation

HRESULT IRdTriangleLocatorStream::GetNumTriangleLocators | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Returns:
  dwNumVertices [out,retval] Get number of triangles.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdTriangleLocatorStream::SetNumTriangleLocators | ( | [in] RtDWORD | dwNumTriangleLocators | ) |

Parameters:

  | dwNumTriangleLocators | [in] Set number of triangles.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdTriangleLocatorStream::u1([in] RtDWORD dwIndex)`[get]`

Get U element of barycentric coordinates for first vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.

Returns:
  pVal [out,retval] Returns U element.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdTriangleLocatorStream::u1([in] RtDWORD dwIndex)`[set]`

Set U element of barycentric coordinates for first vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.
  | newVal | [in] U element to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdTriangleLocatorStream::u2([in] RtDWORD dwIndex)`[get]`

Get U element of barycentric coordinates for second vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.

Returns:
  pVal [out,retval] Returns U element.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdTriangleLocatorStream::u2([in] RtDWORD dwIndex)`[set]`

Set U element of barycentric coordinates for second vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.
  | newVal | [in] U element to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdTriangleLocatorStream::u3([in] RtDWORD dwIndex)`[get]`

Get U element of barycentric coordinates for third vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.

Returns:
  pVal [out,retval] Returns U element.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdTriangleLocatorStream::u3([in] RtDWORD dwIndex)`[set]`

Set U element of barycentric coordinates for third vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.
  | newVal | [in] U element to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdTriangleLocatorStream::v1([in] RtDWORD dwIndex)`[get]`

Get V element of barycentric coordinates for first vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.

Returns:
  pVal [out,retval] Returns V element.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdTriangleLocatorStream::v1([in] RtDWORD dwIndex)`[set]`

Set V element of barycentric coordinates for first vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.
  | newVal | [in] V element to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdTriangleLocatorStream::v2([in] RtDWORD dwIndex)`[get]`

Get V element of barycentric coordinates for second vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.

Returns:
  pVal [out,retval] Returns V element.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdTriangleLocatorStream::v2([in] RtDWORD dwIndex)`[set]`

Set V element of barycentric coordinates for second vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.
  | newVal | [in] V element to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdTriangleLocatorStream::v3([in] RtDWORD dwIndex)`[get]`

Get V element of barycentric coordinates for third vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.

Returns:
  pVal [out,retval] Returns V element.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdTriangleLocatorStream::v3([in] RtDWORD dwIndex)`[set]`

Set V element of barycentric coordinates for third vertex.

Parameters:

  | dwIndex | [in] Triangle's index value.
  | newVal | [in] V element to set.

Returns:
  standard HRESULT processing can be applied to returned value.